#include <QApplication>
#include <QStandardItemModel>
#include <QTableView>

#include "CItemDelegate.h"

int main(int argc, char *argv[])
{
     QApplication app(argc, argv);

     QStandardItemModel model(4, 2);
     QTableView tableView;
     tableView.setModel(&model);

     CItemDelegate delegate;
     tableView.setItemDelegate(&delegate);

	 // tell the headers to pay attention to custom sizeHints
	// for the vertical header
	tableView.verticalHeader( )->resizeSections( QHeaderView::Custom );
	// for the horizontal header
	tableView.horizontalHeader( )->resizeSections( QHeaderView::Custom );

     for (int row = 0; row < 4; ++row) {
         for (int column = 0; column < 2; ++column) {
             QModelIndex index = model.index(row, column, QModelIndex());
             model.setData(index, QVariant((row+1) * (column+1)));
         }
     }

     tableView.setWindowTitle("sizeHint test");
     tableView.show();
     return app.exec();
}


